#include "widget.h"
#include "ui_widget.h"

#include <QDir>
#include <QFileDialog>

Widget::Widget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Widget)
{
    ui->setupUi(this);

    connect(ui->pageSpinBox, SIGNAL(valueChanged(int)), ui->pageWidget, SLOT(displayPage(int)) );
    connect(ui->nextButton, SIGNAL(released()), ui->pageWidget, SLOT(displayNextPage()) );
    connect(ui->prevButton, SIGNAL(released()), ui->pageWidget, SLOT(displayPrevPage()) );
    connect(ui->openButton, SIGNAL(released()), this, SLOT(openFile()) );
}

Widget::~Widget()
{
    delete ui;
}

void Widget::openFile()
{
    QString fileName = QFileDialog::getOpenFileName(this,
         tr("Open PDF file"), QDir::homePath(), tr("PDF Files (*.pdf)"));

    ui->pageWidget->setDocumentPath(fileName);
}
